%define apiver %(echo %version | cut -d. -f1-2)
Name:          libodfgen
Version:       0.1.1
Release:       2mamba
Summary:       A library to generate OpenDocument documents
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/libwpd
Source:        http://downloads.sourceforge.net/project/libwpd/libodfgen/libodfgen-%{version}/libodfgen-%{version}.tar.xz
License:       LGPL, MPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libwpd-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libetonyek-devel
BuildRequires: libwpd-devel >= 0.10
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library to generate OpenDocument documents.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libodfgen-%{apiver}.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libodfgen-%{apiver}
%dir %{_includedir}/libodfgen-%{apiver}/libodfgen
%{_includedir}/libodfgen-%{apiver}/libodfgen/*.hxx
%{_libdir}/libodfgen-%{apiver}.la
%{_libdir}/libodfgen-%{apiver}.so
%{_libdir}/pkgconfig/libodfgen-%{apiver}.pc
%doc ChangeLog README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/doc/libodfgen
%{_datadir}/doc/libodfgen/*

%changelog
* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2mamba
- rebuilt with libwpd 0.10

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 0.1.1-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.4-1mamba
- update to 0.0.4

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.0-1mamba
- package created by silvan using the webbuild interface
